using Microsoft.VisualBasic.CompilerServices;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FAS_LIB
{
    public class scOrderLineComment
    {
        private int _OrderLineCmtId;
        private int _OrderLineId;
        private string _OrderLineComment;
        private DateTime _OrderLineCmtUpdDt;
        private bool _OrderLineCmtFwUpFlag;
        private DateTime _OrderLineCmtFwUpDt;
        private int _OrderLineCmtFwUpTypeId;
        private int _OrderLineCmtFwUpAssocId;
        private int _OrderLineUpdAssocId;

        public int OrderLineCmtId
        {
            get
            {
                return this._OrderLineCmtId;
            }
            set
            {
                this._OrderLineCmtId = value;
            }
        }

        public int OrderLineId
        {
            get
            {
                return this._OrderLineId;
            }
            set
            {
                this._OrderLineId = value;
            }
        }

        public string OrderLineComment
        {
            get
            {
                return this._OrderLineComment;
            }
            set
            {
                this._OrderLineComment = value;
            }
        }

        public DateTime OrderLineCmtUpdDt
        {
            get
            {
                return this._OrderLineCmtUpdDt;
            }
            set
            {
                this._OrderLineCmtUpdDt = value;
            }
        }

        public bool OrderLineCmtFwUpFlag
        {
            get
            {
                return this._OrderLineCmtFwUpFlag;
            }
            set
            {
                this._OrderLineCmtFwUpFlag = value;
            }
        }

        public DateTime OrderLineCmtFwUpDt
        {
            get
            {
                return this._OrderLineCmtFwUpDt;
            }
            set
            {
                this._OrderLineCmtFwUpDt = value;
            }
        }

        public int OrderLineCmtFwUpTypeId
        {
            get
            {
                return this._OrderLineCmtFwUpTypeId;
            }
            set
            {
                this._OrderLineCmtFwUpTypeId = value;
            }
        }

        public int OrderLineCmtFwUpAssocId
        {
            get
            {
                return this._OrderLineCmtFwUpAssocId;
            }
            set
            {
                this._OrderLineCmtFwUpAssocId = value;
            }
        }

        public int OrderLineUpdAssocId
        {
            get
            {
                return this._OrderLineUpdAssocId;
            }
            set
            {
                this._OrderLineUpdAssocId = value;
            }
        }

        public scOrderLineComment()
        {
            this._OrderLineCmtId = 0;
            this._OrderLineId = 0;
            this._OrderLineComment = "";
            this._OrderLineCmtUpdDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCmtFwUpFlag = false;
            this._OrderLineCmtFwUpDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCmtFwUpTypeId = 1;
            this._OrderLineCmtFwUpAssocId = 1;
            this._OrderLineUpdAssocId = 1;
        }
    }
}
